import 'CommenModel.dart';

class AddConversationMembeResponse extends BaseModel {
  int conversationGroupId;
  int userProfileId;
  String exitGroupDate;
  String lastSeen;
  String lastCheck;
  int createdby;
  String creationdate;
  String modifiedby;
  String modificationdate;
  AddConversationMembeResponse({
    this.conversationGroupId,
    this.userProfileId,
    this.exitGroupDate,
    this.lastSeen,
    this.lastCheck,
    this.createdby,
    this.creationdate,
    this.modifiedby,
    this.modificationdate,
  });
  factory AddConversationMembeResponse.fromJson(Map<String, dynamic> json) => AddConversationMembeResponse(
    conversationGroupId: json["ConversationGroupID"],
    userProfileId: json["UserProfileID"],
    exitGroupDate: json["ExitGroupDate"],
    lastSeen: json["LastSeen"],
    lastCheck: json["LastCheck"],
    createdby: json["CREATEDBY"],
    creationdate: json["CREATIONDATE"],
    modifiedby: json["MODIFIEDBY"],
    modificationdate: json["MODIFICATIONDATE"],
  );
  Map<String, dynamic> toJson() => {
    "ConversationGroupID": conversationGroupId,
    "UserProfileID": userProfileId,
    "ExitGroupDate": exitGroupDate,
    "LastSeen": lastSeen,
    "LastCheck": lastCheck,
    "CREATEDBY": createdby,
    "CREATIONDATE": creationdate,
    "MODIFIEDBY": modifiedby,
    "MODIFICATIONDATE": modificationdate,
  };
}
