
import 'CommenModel.dart';


class Message extends BaseModel{
  int conversationGroupId;
  int messageId;
  int userProfileId;
  int seenFlag;
  String calculatedTime;
  String createdby;
  String creationdate;
  String modifiedby;
  String modificationdate;
  Message({
    this.conversationGroupId,
    this.messageId,
    this.userProfileId,
    this.seenFlag,
    this.calculatedTime,
    this.createdby,
    this.creationdate,
    this.modifiedby,
    this.modificationdate,
  });

  factory Message.fromJson(Map<String, dynamic> json) => Message(
    conversationGroupId: json["ConversationGroupID"],
    messageId: json["MessageID"],
    userProfileId: json["UserProfileID"],
    seenFlag: json["SeenFlag"],
    calculatedTime: json["CalculatedTime"],
    createdby: json["CREATEDBY"],
    creationdate: json["CREATIONDATE"],
    modifiedby: json["MODIFIEDBY"],
    modificationdate: json["MODIFICATIONDATE"],
  );

  Map<String, dynamic> toJson() => {
    "ConversationGroupID": conversationGroupId,
    "MessageID": messageId,
    "UserProfileID": userProfileId,
    "SeenFlag": seenFlag,
    "CalculatedTime": calculatedTime,
    "CREATEDBY": createdby,
    "CREATIONDATE": creationdate,
    "MODIFIEDBY": modifiedby,
    "MODIFICATIONDATE": modificationdate,
  };

  @override
  // TODO: implement props
  List<Object> get props => [conversationGroupId,messageId,userProfileId];
}
