 import 'dart:developer';
 import 'package:flutter/material.dart';
import 'package:itg_chat/core/utils/signalr_helper.dart';
import 'package:rxdart/rxdart.dart';

class RefreshChatEvent {
  BehaviorSubject<dynamic> get dateVaule  => _dateVaule;
  BehaviorSubject<dynamic> _dateVaule = BehaviorSubject<dynamic>();
  call({@required int loggedInUserProfileId}){
    SignalRHelper().listen("refreshMessages_${loggedInUserProfileId}", (List<Object> parameters) {
      parameters.forEach((element) {
        log("""${element}""");
         _dateVaule.sink.add(element);
      });
     });
  }
}
