 import 'package:bloc/bloc.dart';
import 'package:itg_chat/features/data/model/generate_token_model.dart';
import 'package:itg_chat/features/domain/use_cases/generate_token_usecase.dart';
import 'package:rxdart/src/subjects/behavior_subject.dart';
import 'generate_token_login_state.dart';
 import 'package:flutter_bloc/flutter_bloc.dart';

 class generateTokenCubit extends Cubit<generateTokenState> {
  final GenerateMessageUseCase usecase;
  generateTokenCubit(this.usecase) : super(generateTokenInitailState());
  static generateTokenCubit get(context) => BlocProvider.of(context);

  Future<BehaviorSubject<GenerateTokenModel>> generateMessage(String ClientID,String ClientSecret,String ProjectID)async{
    // TODO: implement getAllMessages
    emit(generateTokenLoadingState());
    var data = await usecase.call(ClientID,ClientSecret,ProjectID);
    print(data);
    emit(generateTokenSuccessState(data));
    return data;
  }
}