import 'dart:async';
import 'package:bloc/bloc.dart';
import 'package:itg_chat/features/domain/event/refersh_message_event.dart';
import 'package:itg_chat/features/domain/use_cases/show_details_message_usecase.dart';
import 'showmessagedetails_state.dart';

class ShowChatDetailsCubit extends Cubit<ShowChatDetailsState> {
  final ShowDetailsMessagesUseCase usecase;
  final RefreshChatEvent refreshUseCase;
  StreamSubscription<Object> subs;
  ShowChatDetailsCubit(this.usecase,this.refreshUseCase) : super(ShowChatDetailsInitailState());
  void showdetailsmessage(int LoggedInUserProfileId,int OtherUserProfileId,String Header) async{
    // TODO: implement getAllMessages
    emit(ShowChatDetailsLoadingState());
    var data = await usecase.call( LoggedInUserProfileId, OtherUserProfileId,  Header);
    emit(ShowChatDetailsSuccessState(data));

    if (subs != null)
      {
        await subs.cancel();
      }
    refreshUseCase.call(loggedInUserProfileId: LoggedInUserProfileId);
    subs = refreshUseCase.dateVaule.listen((value) async {
      var data = await usecase.call( LoggedInUserProfileId, OtherUserProfileId,  Header);
      emit(ShowChatDetailsSuccessState(data));
    });

    return data;
  }

}