import 'package:get_it/get_it.dart';
import 'package:itg_chat/features/domain/event/refersh_message_event.dart';
import 'package:itg_chat/features/domain/use_cases/generate_token_usecase.dart';
import 'package:itg_chat/features/domain/use_cases/get_All_message_usecase.dart';
import 'package:itg_chat/features/domain/use_cases/login_usecase.dart';
import 'package:itg_chat/features/domain/use_cases/show_details_message_usecase.dart';
import 'package:itg_chat/features/presntation/bloc/genereatoken/generate_token_login_cubit.dart';
import 'package:itg_chat/features/presntation/bloc/login/login_cubit.dart';
import 'package:itg_chat/features/presntation/bloc/showallchat/cubit.dart';
import 'package:itg_chat/features/presntation/bloc/showmessagedetails/showmessagedetails_cubit.dart';
import '../core/base/base_datasource.dart';
import '../features/data/repository/chat_repo_implemnt.dart';
import '../features/domain/repo/repo.dart';
import '../features/domain/use_cases/chatmember_seenmessage.dart';
import '../features/domain/use_cases/createGroup_Chat.dart';
import '../features/domain/use_cases/create_group_withMessage.dart';
import '../features/domain/use_cases/getChatmembersbyconversationgroupid.dart';
import '../features/domain/use_cases/get_History_Messages_BetweenTwoUsers.dart';
import '../features/domain/use_cases/get_history_messages.dart';
import '../features/domain/use_cases/get_list_ofunseen_messages.dart';
import '../features/domain/use_cases/get_messages_usecase.dart';
import '../features/domain/use_cases/remove_conversation_member.dart';
import '../features/domain/use_cases/send_MessageTo_GroupBetween_TwoUsers.dart';


var sl = GetIt.instance;
Future<void> init() async{
   //repo impl
   sl.registerFactory(() => BaseDataSource());
   sl.registerFactory(() => CahtRepoImplemtion(sl()));

   // sl.registerSingleton(Dio(sl()));

  // repo
   sl.registerLazySingleton<ChatRemoterepo>(
         () => CahtRepoImplemtion(
       sl(),
     ),
   );
  //sl.registerLazySingleton(ChatRemoterepo(sl()));
    //usecases
  sl.registerSingleton(GetMessegesMemberUseCase(sl()));
  sl.registerSingleton(GetHistoryMessageBetweenTwoUsers(sl()));
  sl.registerSingleton(Getlistofunseenmessages(sl()));
  sl.registerSingleton(SendMessageToGroupBetweenTwoUsers(sl()));
  sl.registerSingleton(RemoveConversationMember(sl()));
  // sl.registerSingleton(AddConversationMemberUseCase(sl()));
  sl.registerSingleton(CreateGroupChat(sl()));
  sl.registerSingleton(createGroupWithMessage(sl()));
  sl.registerSingleton(GetHistoryMessages(sl()));
  sl.registerSingleton(ChatmemberSeenMessage(sl()));
  sl.registerSingleton(GetChatmembersbyconversationgroupid(sl()));
   sl.registerSingleton(GetHistoryMessagesUseCase(sl()));
   sl.registerSingleton(GenerateMessageUseCase(sl()));
   sl.registerSingleton(LoginUseCase(sl()));
   sl.registerSingleton(generateTokenCubit(sl()));
   sl.registerSingleton(ShowDetailsMessagesUseCase(sl()));
   sl.registerSingleton(LoginCubit(sl()));
   //RefreshChatEventUseCase
   sl.registerSingleton(RefreshChatEvent());
   sl.registerSingleton(ShowChatDetailsCubit(sl(),sl()));
   sl.registerSingleton(ChatCubit(sl()));
   //ShowDetailsMessagesUseCase
 }