import 'dart:convert';

import 'package:equatable/equatable.dart';

BaseModel addConversationMemberModelFromJson(String str) => BaseModel.fromJson(json.decode(str));

String addConversationMemberModelToJson(BaseModel data) => json.encode(data.toJson());

class BaseModel extends Equatable {
  String message;
  bool isSuccee;
  int returnId;
   String typesOfData;
   BaseModel({
    this.message,
    this.isSuccee,
    this.returnId,
     this.typesOfData,
   });
  factory BaseModel.fromJson(Map<String, dynamic> json) => BaseModel(
    message: json["Message"],
    isSuccee: json["IsSuccee"],
    returnId: json["ReturnId"],
     typesOfData: json["TypesOfData"],
   );

  Map<String, dynamic> toJson() => {
    "Message": message,
    "IsSuccee": isSuccee,
    "ReturnId": returnId,
     "TypesOfData": typesOfData,
   };

  @override
  // TODO: implement props
  List<Object> get props => [];
}
