import 'get_list_of_latest_seen_messages.dart';

class ChatMemberDataCreateGroup extends Message{
  int conversationGroupId;
  int messageId;
  int userProfileId;
  int seenFlag;
  ChatMemberDataCreateGroup({
    this.conversationGroupId,
    this.messageId,
    this.userProfileId,
    this.seenFlag,
    dynamic calculatedTime,
  });

  factory ChatMemberDataCreateGroup.fromJson(Map<String, dynamic> json) => ChatMemberDataCreateGroup(
    conversationGroupId: json["ConversationGroupID"],
    messageId: json["MessageID"],
    userProfileId: json["UserProfileID"],
    seenFlag: json["SeenFlag"],
    calculatedTime: json["CalculatedTime"],
  );

  Map<String, dynamic> toJson() => {
    "ConversationGroupID": conversationGroupId,
    "MessageID": messageId,
    "UserProfileID": userProfileId,
    "SeenFlag": seenFlag,
    "CREATEDBY": createdby,
    "CREATIONDATE": creationdate,
    "MODIFIEDBY": modifiedby == null ? null : modifiedby,
    "MODIFICATIONDATE": modificationdate == null ? null : modificationdate,
  };
}
