class GenerateTokenModel {
  String _accessToken;
  String _tokenType;
  String _refreshToken;
  int _expiresIn;
  String _issued;
  String _expires;

  String get accessToken => _accessToken;
  String get tokenType => _tokenType;
  String get refreshToken => _refreshToken;
  int get expiresIn => _expiresIn;
  String get issued => _issued;
  String get expires => _expires;

  GenerateTokenModel({
    String accessToken,
    String tokenType,
    String refreshToken,
    int expiresIn,
    String issued,
    String expires}){
    _accessToken = accessToken;
    _tokenType = tokenType;
    _refreshToken = refreshToken;
    _expiresIn = expiresIn;
    _issued = issued;
    _expires = expires;
  }

  GenerateTokenModel.fromJson(dynamic json) {
    _accessToken = json['access_token'];
    _tokenType = json['token_type'];
    _refreshToken = json['refresh_token'];
    _expiresIn = json['expires_in'];
    _issued = json['issued'];
    _expires = json['expires'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['access_token'] = _accessToken;
    map['token_type'] = _tokenType;
    map['refresh_token'] = _refreshToken;
    map['expires_in'] = _expiresIn;
    map['issued'] = _issued;
    map['expires'] = _expires;
    return map;
  }

}