class GetAllMessageModel {
  int _userProfileID;
  int _connectionStatusId;
  String _userName;
  dynamic _imagePath;
  dynamic _jobTitle;
  dynamic _encrptedProfileUrl;
  bool _isProfilePublic;
  dynamic _isCommonConnection;
  dynamic _btnType;
  int _connectionNumber;
  int _statusId;
  bool _seenFlag;

  int get userProfileID => _userProfileID;
  int get connectionStatusId => _connectionStatusId;
  String get userName => _userName;
  dynamic get imagePath => _imagePath;
  dynamic get jobTitle => _jobTitle;
  dynamic get encrptedProfileUrl => _encrptedProfileUrl;
  bool get isProfilePublic => _isProfilePublic;
  dynamic get isCommonConnection => _isCommonConnection;
  dynamic get btnType => _btnType;
  int get connectionNumber => _connectionNumber;
  int get statusId => _statusId;
  bool get seenFlag => _seenFlag;

  GetAllMessageModel({
    int userProfileID,
    int connectionStatusId,
    String userName,
    dynamic imagePath,
    dynamic jobTitle,
    dynamic encrptedProfileUrl,
    bool isProfilePublic,
    dynamic isCommonConnection,
    dynamic btnType,
    int connectionNumber,
    int statusId,
    bool seenFlag}){
    _userProfileID = userProfileID;
    _connectionStatusId = connectionStatusId;
    _userName = userName;
    _imagePath = imagePath;
    _jobTitle = jobTitle;
    _encrptedProfileUrl = encrptedProfileUrl;
    _isProfilePublic = isProfilePublic;
    _isCommonConnection = isCommonConnection;
    _btnType = btnType;
    _connectionNumber = connectionNumber;
    _statusId = statusId;
    _seenFlag = seenFlag;
  }

  GetAllMessageModel.fromJson(dynamic json) {

    _userProfileID = json['UserProfileID'];
    _connectionStatusId = json['ConnectionStatusId'];
    _userName = json['UserName'];
    _imagePath = json['ImagePath'];
    _jobTitle = json['JobTitle'];
    _encrptedProfileUrl = json['EncrptedProfileUrl'];
    _isProfilePublic = json['IsProfilePublic'];
    _isCommonConnection = json['IsCommonConnection'];
    _btnType = json['BtnType'];
    _connectionNumber = json['ConnectionNumber'];
    _statusId = json['StatusId'];
    _seenFlag = json['SeenFlag'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['UserProfileID'] = _userProfileID;
    map['ConnectionStatusId'] = _connectionStatusId;
    map['UserName'] = _userName;
    map['ImagePath'] = _imagePath;
    map['JobTitle'] = _jobTitle;
    map['EncrptedProfileUrl'] = _encrptedProfileUrl;
    map['IsProfilePublic'] = _isProfilePublic;
    map['IsCommonConnection'] = _isCommonConnection;
    map['BtnType'] = _btnType;
    map['ConnectionNumber'] = _connectionNumber;
    map['StatusId'] = _statusId;
    map['SeenFlag'] = _seenFlag;
    return map;
  }

}