import 'package:itg_chat/features/data/model/CommenModel.dart';
import 'package:itg_chat/features/data/model/create_group_chat_model.dart';
import 'package:itg_chat/features/data/model/generate_token_model.dart';
import 'package:itg_chat/features/data/model/get_all_message_model.dart';
import 'package:itg_chat/features/data/model/get_chat_member_byvonversation_groupIDModel.dart';
import 'package:itg_chat/features/data/model/get_history_messages_between_two_users.dart';
import 'package:itg_chat/features/data/model/get_list_of_latest_seen_messages.dart';
import 'package:itg_chat/features/data/model/show_details_chat_model.dart';
import 'package:itg_chat/features/data/model/showdetails_model.dart';
import 'package:itg_chat/features/data/model/user_token_model.dart';
 import 'package:rxdart/rxdart.dart';

   abstract class ChatRemoterepo {
     Future<BehaviorSubject<GetChatMembersByConversationGroupIdResponse>> getMessages(int groupid,int ConversationGroupID,int ProjectID,int MicroserviceID,int SenderUserProfileID,int UserProfileID);
     Future<BehaviorSubject<HistoryMessagesResponse>> getHistoryMessagesBetweenTwoUsers(int id,int indetifier);
     Future<BehaviorSubject<Message>> getlistofunseenmessages(int id);
     Future<BehaviorSubject<Message>> getlistofseenmessages(int id);
     Future<BehaviorSubject<Message>> sendMessageToGroupBetweenTwoUsers(int ConversationGroupID,int SenderUserProfileID, String MessageText);
     Future<BehaviorSubject<CreateGroupChatResponse>> createGroupChat(int ConversationGroupID, String DefaultDesc,int ConversationGroupMemberDtos,int ConversationGroupMemberDtos2,int UsersCanLeaveGroup,
         int ReadOnly,int ProjectID,int MicroserviceID,String KeyRefID,int ConversationGroupTypeID,int CreatedBy);
     Future<BehaviorSubject<BaseModel>> getHistoryMessages(int ConversationGroupID,int ProjectID, int MicroserviceID, int SenderUserProfileID,int UserProfileID);
     // Future<BehaviorSubject<AddConversationMembeResponse>>addConversationMember(int ConversationGroupID,int CreatedBy, int ConversationGroupMemberDtos);
     Future<BehaviorSubject<ShowDetailsChatModel>> createGroupWithMessage(UserProfileIDConversationGroupMemberDtos1,UserProfileIDConversationGroupMemberDtos2,String MessageText,int SenderUserProfileID,int ProjectID,int MicroserviceID,String Header);
     Future<BehaviorSubject<BaseModel>>RemoveConversationMember(int ConversationGroupID, ConversationGroupMemberDtos);
     Future<BehaviorSubject<Object>>ChatmemberSeenMessage(int ConversationGroupID, int UserProfileID,int MessageID);
     Future<BehaviorSubject<Object>>addNewChatMember(int ConversationGroupID, int UserProfileID,int MessageID,int CreatedBy);
     Future<BehaviorSubject<GetChatMembersByConversationGroupIdModelData>>getChatmembersbyconversationgroupid(int ConversationGroupID, int UserProfileID,int MessageID,int id);


     Future<BehaviorSubject<List<GetAllMessageModel>>> getAllMessages(int OtherOrLogedProfileID);
     Future<BehaviorSubject<GenerateTokenModel>> generateMessage(String ClientID,String ClientSecret,String ProjectID);
     Future<BehaviorSubject<UserTokenModel>> login(String username,String password,String ProjectID,String Header);
     Future<BehaviorSubject<ShowdetailsModel>> showdetailsmessage(int LoggedInUserProfileId,int OtherUserProfileId,String Header);

   }
