import 'package:itg_chat/features/data/model/generate_token_model.dart';
import 'package:rxdart/rxdart.dart';

abstract class generateTokenState {}
class generateTokenInitailState extends generateTokenState {}
class generateTokenLoadingState extends generateTokenState {
}
class generateTokenSuccessState extends generateTokenState {
  final BehaviorSubject<GenerateTokenModel> entiesModel;
  generateTokenSuccessState(this.entiesModel);
}
class generateTokenErrorState extends generateTokenState {
  final String error;
  generateTokenErrorState(this.error);
}
class generateTokenGetDataState extends generateTokenState {
  BehaviorSubject<GenerateTokenModel> dataChat;
  generateTokenGetDataState(this.dataChat);
}
class generateTokenLoadList extends generateTokenState {
  final List<GenerateTokenModel> items;
  generateTokenLoadList(this.items);
}
