import 'package:itg_chat/features/data/model/user_token_model.dart';
import 'package:rxdart/rxdart.dart';

abstract class LoginState {}
class LoginInitailState extends LoginState {}
class LoginLoadingState extends LoginState {
}
class LoginSuccessState extends LoginState {
  final BehaviorSubject<UserTokenModel> entiesModel;
  LoginSuccessState(this.entiesModel);
}
class generateTokenErrorState extends LoginState {
  final String error;
  generateTokenErrorState(this.error);
}
class LoginGetDataState extends LoginState {
  BehaviorSubject<UserTokenModel> dataChat;
  LoginGetDataState(this.dataChat);
}
class LoginLoadList extends LoginState {
  final List<UserTokenModel> items;
  LoginLoadList(this.items);
}
