import 'package:itg_chat/features/data/model/get_all_message_model.dart';
import 'package:rxdart/rxdart.dart';

abstract class ChatState {}
class ChatInitailState extends ChatState {}
class ChatLoadingState extends ChatState {
}
class ChatSuccessState extends ChatState {
  final BehaviorSubject<List<GetAllMessageModel>> entiesModel;
  ChatSuccessState(this.entiesModel);
}
class ChatErrorState extends ChatState {
  final String error;
  ChatErrorState(this.error);
}
class ChatGetDataState extends ChatState {
  BehaviorSubject<List<GetAllMessageModel>> dataChat;
  ChatGetDataState(this.dataChat);
}
class LoadList extends ChatState {
  final List<List<GetAllMessageModel>> items;
  LoadList(this.items);
}
