import 'package:itg_chat/features/data/model/showdetails_model.dart';
import 'package:rxdart/rxdart.dart';

abstract class ShowChatDetailsState {}
class ShowChatDetailsInitailState extends ShowChatDetailsState {}
class ShowChatDetailsLoadingState extends ShowChatDetailsState {
}
class ShowChatDetailsSuccessState extends ShowChatDetailsState {
  final BehaviorSubject<ShowdetailsModel> entiesModel;
  ShowChatDetailsSuccessState(this.entiesModel);
}

class ShowChatDetailsErrorState extends ShowChatDetailsState {
  final String error;
  ShowChatDetailsErrorState(this.error);
}
class ShowChatDetailsGetDataState extends ShowChatDetailsState {
  BehaviorSubject<ShowdetailsModel> dataChat;
  ShowChatDetailsGetDataState(this.dataChat);
}
class ShowChatDetailsLoadList extends ShowChatDetailsState {
  final List<ShowdetailsModel> items;
  ShowChatDetailsLoadList(this.items);
}
