import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rxdart/rxdart.dart';

class ListOFMessageWidget extends StatelessWidget{
  final String message;
  final String image;

  const ListOFMessageWidget({
    Key key,
   this.message,  this.image,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Expanded(
       child: Container(
        height: 50,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Container
               (
                height: 30,
                width: 30,
                child: Image(image: AssetImage(image))
            ),
            Padding(
              padding: const EdgeInsets.only(top:15.0),
              child: Text(message,),
            ),
          ],
        ),
      ),
    );
  }
}